# 官网
# https://wiki.vertex.icu
# 官方文档
# https://hub.docker.com/r/lswl/vertex
# https://wiki.vertex.icu/xin-shou-ru-men/an-zhuang-cao-zuo

---
version: "3"
# 最后编辑时间：2024-04-25
services:
  vertex:
    image: lswl/vertex:stable
    # 镜像地址
    container_name: vertex
    # 容器名字
    hostname: vertex
    # 主机名
    volumes:
      - /volume1/docker/vertex:/vertex
      # 配置文件目录
    environment:
      - HTTP_PORT=32110
      # 自定义容器http端口
      - HTTPS_PORT=32443
      # 自定义容器https端口
      # - HTTPS_ENABLE=ture
      # 开启https支持，前提是已经生成或下载 HTTPS 证书并放入ssl文件夹
      - TZ=Asia/Shanghai
      # 时区
      - PUID=1000
      - PGID=100
      # 用户和用户组权限，ssh中使用“id 用户名”查看，用户组一般为100(users)
      # 第一个用户而言，群晖为1026，新绿联为1001，linux类系统为1000，后续用户均+1，默认为0
    network_mode: host
    restart: always
    # 重启策略，可根据实际情况而选择 no/always/unless-stopped/on-failure/on-failure:3